createWebDependency {shiny} | R Documentation

## Create a web dependency

### Description

Ensure that a file-based HTML dependency (from the htmltools package) can be served over Shiny's HTTP server. This function works by using `addResourcePath` to map the HTML dependency's directory to a URL.

### Usage

    createWebDependency(dependency)

### Arguments

`dependency` | A single HTML dependency object, created using `htmlDependency`. If the `src` value is named, then `href` and/or `file` names must be present.

### Value

A single HTML dependency object that has an `href`-named element in its `src`.

[Package shiny version 0.13.2 Index]